Bug 187108 - [PATCH] astro/py-astLib fix incorrect update alert on portscout
Summary: [PATCH] astro/py-astLib fix incorrect update alert on portscout
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Ruslan Makhmatkhanov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-02-27 12:50 UTC by Eero Hänninen
Modified: 2014-03-04 20:10 UTC (History)
0 users

See Also:


Attachments
file.diff (436 bytes, patch)
2014-02-27 12:50 UTC, Eero Hänninen
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Eero Hänninen 2014-02-27 12:50:00 UTC
Ignore incorrect versioning on upstream and make portscout happy.

Fix: Patch attached with submission follows:
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2014-02-28 05:33:36 UTC
Responsible Changed
From-To: freebsd-bugs->freebsd-ports-bugs

ports PR.
Comment 2 Edwin Groothuis freebsd_committer 2014-02-28 05:33:53 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-python

freebsd-python@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 3 Mark Linimon freebsd_committer freebsd_triage 2014-03-01 08:12:40 UTC
Class Changed
From-To: sw-bug->change-request

fix class.
Comment 4 Ruslan Makhmatkhanov freebsd_committer 2014-03-04 20:03:50 UTC
Responsible Changed
From-To: freebsd-python->rm

I will take it.
Comment 5 dfilter service freebsd_committer 2014-03-04 20:03:51 UTC
Author: rm
Date: Tue Mar  4 20:03:43 2014
New Revision: 347065
URL: http://svnweb.freebsd.org/changeset/ports/347065
QAT: https://qat.redports.org/buildarchive/r347065/

Log:
  astro/py-astLib: pet portscout
  
  - ignore incorrect versioning on upstream and make portscout happy
  
  PR:		187108
  Submitted by:	Eero Hanninen <fax@nohik.ee>

Modified:
  head/astro/py-astLib/Makefile

Modified: head/astro/py-astLib/Makefile
==============================================================================
--- head/astro/py-astLib/Makefile	Tue Mar  4 20:01:38 2014	(r347064)
+++ head/astro/py-astLib/Makefile	Tue Mar  4 20:03:43 2014	(r347065)
@@ -19,6 +19,8 @@ BUILD_DEPENDS=	${PYNUMPY} \
 		${PKGNAMEPREFIX}matplotlib>=0.98:${PORTSDIR}/math/py-matplotlib
 RUN_DEPENDS:=	${BUILD_DEPENDS}
 
+PORTSCOUT=	skipv:0.15,0.17,0.17.1 # incorrect versioning upstream
+
 USE_PYTHON=		yes
 USE_PYDISTUTILS=	yes
 PYDISTUTILS_AUTOPLIST=	yes
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 6 Ruslan Makhmatkhanov freebsd_committer 2014-03-04 20:03:56 UTC
State Changed
From-To: open->closed

Committed, thank you!